INSERT INTO posts (title, content) VALUES
('C# 和 .NET Framework 简介', 'C# 是一种通用的，类型安全的面向对象编程语言。其目标是提高程序员的生产力，为此，需要在简单性、表达性和性能之间实现进行权衡。C# 语言从第一版开始，其首席架构师就是 Anders Hejlsberg（Turbo Pascal 的发明者和 Delphi 架构师）。C# 语言和平台无关，且可以与诸多平台下的编译器和框架，尤其是 Windows 下的 Microsoft .NET Framework 协同工作。'),
('编译', 'C# 编译器将一系列 *.cs* 扩展名的源代码文件编译成 *程序集*。程序集是 .NET 中的最小打包和部署单元。一个程序集可以是一个应用程序或者是一个库。一个普通的控制台程序或 Windows 应用程序是一个 *.exe* 文件，包含一个 `Main` 方法。而库是一个 *.dll* 文件，它相当于一个没有入口的 *.exe* 文件。库是用来被应用程序或其他的库调用（*引用*）的。.NET Framework 就是一个库。'),
('方法', '方法用一组语句实现某个行为。方法从调用者指定的参数中获得输入，并通过指定的输出类型将输出值返回给调用者。方法可以返回 `void` 类型，表明它并没有向调用者返回任何值。此外、方法还可以通过 `ref`/`out` 参数向调用者返回值。')